// file: $isip/class/mmedia/Annotation/anno_01.cc
// version: $Id: anno_01.cc 8541 2002-08-08 19:50:51Z gao $
//

// isip include files
//
#include "Annotation.h"
#include <Console.h>

// method: debug
//
// arguments:
//  const unichar* msg: (input) information message
//
// return: a boolean value indicating status
//
// this method dumps the contents of an object to the console
//
boolean Annotation::debug(const unichar* msg_a) const {

  // build a debug string
  //
  String value;
  String output;

  // output an information message
  //
  output.debugStr(name(), msg_a, L":");
  Console::put(output);
  Console::increaseIndention();

  // output annotation parameters
  //
  id_d.debug(L"id_d");
  type_d.debug(L"type_d");
  channel_index_d.debug(L"channel_index_d");
  feature_map_d.debug(L"feature_map_d");

  // decrease indention
  //
  Console::decreaseIndention();

  // exit gracefully
  //
  return true;
}
